{
    "pages": [
        "pages/index/index/index",
        "pages/goods/categoryList/categoryList",
        "pages/cart/cart/cart",        
        "pages/goods/goodsInfo/goodsInfo",
        "pages/goods/goodsList/goodsList",        
        "pages/user/index/index",
        "pages/user/order_list/order_list",
        "pages/user/order_detail/order_detail",   
        "pages/user/coupon/coupon",
        "pages/user/checkcoupon/checkcoupon",    
        "pages/activity/seckill_list/seckill_list",
        "pages/activity/pind_list/pind_list",    
        "pages/team/team_show/team_show",
        "pages/user/userqy/userqy",      
        "pages/user/plus/plus",
        "pages/user/my_service/i_service",

        "pages/giftpack/birthdaygift/birthdaygift",
        "pages/giftpack/evaluategift/evaluategift",
        "pages/giftpack/newvipgift/newvipgift",
        "pages/giftpack/buygiftpack/giftpackbuy",
        "pages/giftpack/giftpacklist/giftpacklist",
        "pages/giftpack/mygiftpack/mygiftpack",
        "pages/giftpack/festival/festival",

        "pages/user/assistance/giftpacklist",
        "pages/user/assistance/task_assistance",
        "pages/user/assistance/friend_assistance",
        "pages/user/assistance/assistance_success",
        "pages/user/assistance/assistance", 
        
        "pages/distribution/distribution",
        "pages/template/index"
    ],
    "subPackages": [
        {
            "root": "packageA/",
            "name": "pack1",
            "pages": [
                "pages/prom_list/prom_list",
                "pages/quan_list/quan_list",
                "pages/quan_pro/quan_pro",
                "pages/liveStream/liveStream",
                "pages/liveStreamDetails/liveStreamDetails",
                "pages/addCustomer/addCustomer",
                "pages/goods_share/goods_share",
                "pages/activity_share/activity_share",
                "pages/live_share/live_share",
                "pages/quan/quan",
                "pages/chongzhi/chongzhi",
                "pages/chongzhiDetails/chongzhiDetails",
                "pages/jfbuy/jfbuy",
                "pages/hongBao/hongBao",
                "pages/hongBaoDetails/hongBaoDetails",
                "pages/service_record/service_record",
                "pages/checkin/checkin",
                "pages/distribution/myteam/myteam",
                "pages/distribution/order/order",
                "pages/distribution/commision/commision",
                "pages/distribution/rank/rank",
                "pages/distribution/card/card",
                "pages/distribution/goods/goods",
                "pages/distribution/shop/shop",
                "pages/distribution/rookie/rookie",
                "pages/service_share/service_share",
                "pages/cardList/cardList",
                "pages/goodsInfo/goodsInfo",
                "pages/my_service/appment_main",
                "pages/my_service/i_service",
                "pages/my_service/cosmetology_list",
                "pages/my_service/hist_service",
                "pages/my_service/tment_details",
                "pages/my_service/tment_eval",
                "pages/my_service/tment_order_list",
                "pages/my_service/beauty_deta",
                "pages/my_service2/appment_main",
                "pages/profile/profile",
                "pages/parseHtml/parseHtml",
                "pages/myGift/myGift",
                "pages/myGiftDetails/myGiftDetails",
                "pages/cart2_ser/cart2_ser",
                "pages/libao_payment/payment",
                "pages/details_serviceCard/details_serviceCard",
                "pages/serviceCard_pd/goodsInfo/goodsInfo",
                "pages/serviceCard_pd/team_show/team_show",
                "pages/serviceCard_pd/cart/cart",
                "pages/serviceCard_pd/team_success/team_success",
                "pages/serviceCard_pd/cart_wk/cart_wk",
                "pages/serviceCard_pd/team_more/team_more"
            ]
        },
        {
            "root": "packageB/",
            "name": "pack2",
            "pages": [
                "pages/user/collect_list/collect_list",
                "pages/user/comment/comment",
                "pages/user/view_comment/view_comment",
                "pages/user/add_comment/add_comment",
                "pages/user/user_coupon/user_coupon",
                "pages/user/buyDetails/buyDetails",
                "pages/evaluate/evaluate",
                "pages/evaluate_list/evaluate_list",
                "pages/luckactivity/luckinfo/luckinfo",
                "pages/luckactivity/index/index",
                "pages/user/Change_phone/Change_phone",
                "pages/zuhegou/index/index",
                "pages/zuhegou/list/list",
                "pages/user/choice_guide/choice_guide",
                "pages/video/index",
                "pages/boxes-list/boxes-list",
                "pages/boxes-details/boxes-details"
            ]
        },
        {
            "root": "packageC/",
            "name": "pack3",
            "pages": [
                "pages/group_list/group_list",
                "pages/presell/list/list",
                "pages/presell/cart/cart",
                "pages/presell/cart/cart2",
                "pages/presell/cart/cart2_pre",
                "pages/presell/goodsInfo/goodsInfo",
                "pages/goods/distributionCategoryList/index",
                "pages/goods/goodsList/goodsList",
                "pages/payForAnother/payForAnother",
                "pages/luckyGo/luckyGo_cart/luckyGo_cart",
                "pages/luckyGo/luckyGo_cart_ct/luckyGo_cart_ct",
                "pages/luckyGo/luckyGo_list/luckyGo_list",
                "pages/luckyGo/luckyGo_order/luckyGo_order",
                "pages/luckyGo/luckyGo_details/luckyGo_details",
                "pages/luckyGo/luckyGo_winners/luckyGo_winners",
                "pages/luckyGo/luckyGo_members/luckyGo_members",
                "pages/luckyGo/luckyGo_goodsInfo/luckyGo_goodsInfo",
                "pages/luckyGo/luckyGo_activityList/luckyGo_activityList",
                "pages/presell/cardInfo/goodsInfo"
            ]
        },
        {
            "root": "packageD/",
            "name": "pack4",
            "pages": [
                "pages/AI-test-skin/index/aiskin",
                "pages/AI-test-skin/shoot_notice/shoot_notice",
                "pages/AI-test-skin/history_record/history_record",
                "pages/AI-test-skin/select_photo/select_photo",
                "pages/AI-test-skin/fail_result/fail_result",
                "pages/AI-test-skin/success_result/success_result",
                "pages/AI-test-skin/analyse/analyse",

                "pages/user/coupons/coupons",
                "pages/user/integral/integral",
                "pages/user/integral/query/index",
                "pages/user/integral/msg/msg",
                "pages/user/deposit/deposit",
                "pages/user/deposit/prepaid/msg/msg",
                "pages/user/deposit/prepaid/prepaid",
                "pages/user/deposit/query/index",
                "pages/user/member/menber",
                "pages/user/member/bring/bring",
                "pages/user/member/bring/msg/msg",
                "pages/user/member/account/account",
                "pages/user/member/account_unable/account_unable",
                "pages/user/member/cash_record/cash_record",
                "pages/gift/gift",

                "pages/shop/order_detail/order_detail",
                "pages/error/error"
               
            ]
        },
        {
            "root": "packageE/",
            "name": "pack5",
            "pages": [
               "pages/togoin/togoin",
               "pages/user/Detailed/Detailed",
               "pages/user/user_fw/user_fw",
               "pages/user/cardinfo/cardinfo",
               "pages/user/nick_avatar/nick_avatar",
               "pages/user/nick_avatar_add/nick_avatar_add",
               "pages/user/slimming/slimming",
               "pages/user/punchInhistory/punchInhistory",
               "pages/user/grow_value/grow_value",
               "pages/giftpack/giftpacklistshop/giftpacklistshop",
               "pages/user/labels/labels",
               "pages/cart/cart2/cart2",
               "pages/barCodeBank/barCodeBank",
               "pages/qy/contactMe/contactMe",
               "pages/user/monthgiftbag/payment/payment",
               "pages/user/monthgiftbag/monthgiftbag",
               "pages/user/monthgiftbag/giftpacklist/giftpacklist",
               "pages/user/monthgiftbag/giftpackinfo/giftpackinfo",
               "pages/user/monthgiftbag/giftpackbuy/giftpackbuy",
               "pages/cart/cart2_pt/cart2_pt",
               "pages/cart/cart_wk/cart_wk",
               "pages/cart/cart2_inte/cart2_inte",
               "pages/user/monthgiftbag/my_giftpackinfo/my_giftpackinfo"

            ]
        },
        {
          "root": "packageF/",
          "name": "pack6",
          "pages": [
              "pages/wuliu/wuliu",
              "pages/free_delivery/free_delivery",
              "pages/xcxServiceChat/xcxServiceChat",
              "pages/team/team_ping/team_ping", 
              "pages/team/team_more/team_more",
              "pages/user/return_goods_info/return_goods_info",
              "pages/user/return_goods_list/return_goods_list",
              "pages/user/return_goods/return_goods",
              "pages/user/address_list/address_list",
              "pages/user/add_address/add_address",
              
              "pages/giftpack/birthdaygift/birthdaygift",
              "pages/giftpack/evaluategift/evaluategift",
              "pages/giftpack/newvipgift/newvipgift",
              "pages/giftpack/payment/payment",
              "pages/giftpack/buygiftpack/giftpackbuy",
              "pages/giftpack/giftpacklist/giftpacklist",
              "pages/giftpack/mygiftpack/mygiftpack",
              "pages/giftpack/festival/festival"
              
          ]
          
      },
        {
          "root": "packageG/",
          "name": "pack7",
          "pages": [
              "pages/store/index",
              "pages/user/express/express",
              "pages/team/team_success/team_success",
              "pages/plus_agreement/plus_agreement",
              "pages/goods/search/search",
              "pages/payment/pay_success/pay_success",
              "pages/user/userinfo/userinfo",
              "pages/user/my_service/appment_main",
              "pages/user/my_service/cosmetology_list",
              "pages/user/my_service/beauty_deta",
              "pages/user/my_service/tment_order_list",
              "pages/user/my_service/hist_service",
              "pages/order/refund_order/refund_order",
              "pages/payment/payment/payment",
              "pages/user/my_service/tment_details",
              "pages/user/my_service/tment_eval",
              "pages/user_template/index",
              "pages/team/team_show/team_show",              
              "pages/user/order_detail/order_detail",
              "pages/group_buy/goodsInfo/goodsInfo",
              "pages/user/my_beauty_consultant/my_beauty_consultant",
              "pages/customer_chat/customer_chat",
              "pages/user/userqy/userqy"
          ]
      },
      {
        "root": "packageH/",
        "name": "pack8",
        "pages": [
          "pages/goodsInfo/goodsInfo",          
        "pages/user/user_spsy/user_spsy"
        ]
      }
    ],

    "preloadRule": {
        "pages/index/index/index": {
            "network": "all",
            "packages": [
                "pack5"
            ]
        }
    },
   
    "permission": {
        "scope.userLocation": {
            "desc": "获取你的位置信息"
        }
    },
    "window": {
        "backgroundTextStyle": "light",
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "加载中...",
        "navigationBarBackgroundColor": "#ffffff",
        "backgroundColor": "#ffffff",
        "enablePullDownRefresh": true
    },
    "__usePrivacyCheck__": true,
    "tabBar": {
        "custom": true,
        "color": "#6e6d6b",
        "selectedColor": "#f23030",
        "borderStyle": "white",
        "backgroundColor": "#ffffff",
        "list": [
            {
                "pagePath": "pages/index/index/index",
                "text": "首页",
                "iconPath": "packageA/images/bar/index.png",
                "selectedIconPath": "packageA/images/bar/index_on.png"
            },
            {
                "pagePath": "pages/goods/categoryList/categoryList",
                "text": "分类",
                "iconPath": "packageA/images/bar/fl.png",
                "selectedIconPath": "packageA/images/bar/fl_on.png"
            },
            {
                "pagePath": "pages/distribution/distribution",
                "text": "分销",
                "iconPath": "packageA/images/bar/fx.png",
                "selectedIconPath": "packageA/images/bar/fx_on.png"
            },
            {
                "pagePath": "pages/cart/cart/cart",
                "text": "购物车",
                "iconPath": "packageA/images/bar/car.png",
                "selectedIconPath": "packageA/images/bar/car_on.png"
            },
            {
                "pagePath": "pages/user/index/index",
                "text": "我的",
                "iconPath": "packageA/images/bar/user.png",
                "selectedIconPath": "packageA/images/bar/user_on.png"
            }
        ]
    },
    "debug": false,
    "sitemapLocation": "sitemap.json",
    "usingComponents": {
        "customtabbar": "custom-tab-bar/index"
    },
    "requiredPrivateInfos":[
      "getLocation"
    ],
    "useExtendedLib": {
        "weui": true
    },
    "networkTimeout": {
        "request": 15000,
        "downloadFile": 15000,
        "uploadFile":15000,
        "connectSocket":15000
    }

}